Bug 843579 - yum software update error
yum software update error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 12:46 EDT by dylan
Modified: 2014-01-21 18:23 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 16:03:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dylan 2012-07-26 12:46:52 EDT
Description of problem:
When update software,get the following error:

ERROR with transaction check vs depsolve:
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-3.fc17.i686
libcups.so.2 is needed by gtk2-2.24.11-1.fc17.i686
libcups.so.2 is needed by gtk3-3.4.4-1.fc17.i686
Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Antti Huhtala 2012-08-02 17:51:02 EDT
Same thing here when trying to update my F16 -> F17 upgraded (from Fedora 17 x86_64 DVD) system. When I removed those three 32-bit packages from the update list, a new error was generated:

Protected multilib versions: gtk2-2.24.11-1.fc17.x86_64 != gtk2-2.24.8-3.fc16.i686
Protected multilib versions: gtk3-3.4.4-1.fc17.x86_64 != gtk3-3.2.4-1.fc16.i686 : Protected multilib versions: gtk2-2.24.11-1.fc17.x86_64 != gtk2-2.24.8-3.fc16.i686
Protected multilib versions: gtk3-3.4.4-1.fc17.x86_64 != gtk3-3.2.4-1.fc16.i686

Removing the 64-bit packages from update list did not help; the original error message (reported by dylan above) was generated.
Comment 2 James Antill 2013-05-21 16:03:43 EDT
Look at the output of "yum check" and solve all those problems, then it should work fine.

Note You need to log in before you can comment on or make changes to this bug.